Subject: Re: bug#76789: 31.0.50; [PATCH] speedbar: New speedbar-window-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Mar 2025 10:54:39 +0200

> From: Vincenzo Pupillo <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 14 Mar 2025 20:52:33 +0100
> 
> Thank you Eli for the review,
> 
> In data giovedì 13 marzo 2025 10:57:41 Ora standard dell’Europa centrale, Eli 
> Zaretskii ha scritto:
> > > From: Vincenzo Pupillo <[email-masked]>
> > > Cc: [email-masked]
> > > Date: Tue, 11 Mar 2025 16:41:22 +0100
> > > 
> > > Thank you Eli.
> > > In this updated version of the patch I corrected what you indicated and
> > > added something in the manual, rather short :-(.
> > 
> > Thanks.  I meant to install it, but building Emacs after applying the
> > changes yields warnings:
> > 
> >   In speedbar-frame-or-window:
> >   speedbar.el:1009:2: Warning: docstring has wrong usage of unescaped single
> > quotes (use \=' or different quoting such as `...')
> > 
> >   In speedbar-window-mode:
> >   speedbar.el:1045:13: Warning: assignment to free variable
> > `speedbar-select-frame-method'
> > 
> >   In speedbar-window--buffer-live-p:
> >   speedbar.el:1079:11: Warning: defsubst `speedbar-window--buffer-live-p'
> > was used before it was defined
> > 
> >   In speedbar-window--width:
> >   speedbar.el:1113:11: Warning: defsubst `speedbar-window--width' was used
> > before it was defined
> > 
> >   In speedbar-current-frame:
> >   speedbar.el:1135:11: Warning: defsubst `speedbar-current-frame' was used
> > before it was defined
> > 
> > Please fix those.
> 
> Done
> 
> > 
> > Also, here:
> > > +@cindex @code{speedbar-window}
> > > +Optionally, the speedbar can be displayed as a window, splitting the
> > > +windows of the selected frame, in both terminal and graphics modes.
> > > +Only one speedbar window can be open at a time.
> > > +
> > > +It is possible to switch from displaying the speedbar in a separate
> > > +frame to displaying it in a window and vice versa simply by using the
> > > +@kbd{M-x speedbar-window @key{RET}} or
> > > +@kbd{M-x speedbar-frame@key{RET}} command.
> > 
> > please mention and index the user option you added.
> > 
> > > +** Speedbar
> > > +
> > > +---
> > > +*** The new command 'speedbar-window-mode' opens Speedbar in a window
> > > instead +of a frame.
> > > +
> > > +*** New command 'speedbar-window' is an alias for 'speedbar-window-mode'.
> > > +'
> > > +*** The new user option 'speedbar-prefer-window', tells 'speedbar' to
> > > open
> > > +a side window instead of a frame.
> > > +
> > > +*** 'speedbar-easymenu-definition-trailer' is now a function.
> > > +
> > 
> > These NEWS entries should be marked with "+++", since this is now
> > documented in the relevant manuals.
> 
> Done. 
> 
> The new version of the patch is attached.

Thanks, installed on the master branch, and closing the bug.

I needed to make a few minor followup changes; please study them and
try to avoid the same pitfalls in the future.